%global oname threeten
Name:          time-api
Version:       0.6.4
Release:       3%{?dist}
Summary:       JSR-310 - Date and Time API
# GPLv2: src-openjdk/main/java/java/util/GregorianCalendar.java
#        src-openjdk/main/java/java/util/Calendar.java
#        src-openjdk/main/java/java/util/Date.java
# Public Domain:  src/main/tzdata/tzdata200*.tar.gz
License:       BSD and GPLv2+ and Public Domain
URL:           http://threeten.github.com/
Source0:       https://github.com/ThreeTen/%{oname}/archive/v%{version}.tar.gz
Source1:       %{name}-template-pom.xml
Patch0:        %{name}-0.6.4-dont-compile-openjdk-classes.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: emma
BuildRequires: testng

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

# https://fedorahosted.org/fpc/ticket/365
Provides:      bundled(openjdk8-javax-time) = %{version}-%{release}

%description
This JSR will provide a new and improved date and
time API for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}

# Use system libraries
sed -i 's|src="${maven.ibiblio.url}/@{group}/@{artifact}/@{version}/@{artifact}-@{version}@{variant}.jar"|src="file:///usr/share/java/@{artifact}.jar"|' build.xml

%patch0 -p0

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml

sed -i 's/\r//' COPYRIGHT-ASSIGN.txt LICENSE.txt LICENSE_OpenJDK.txt LICENSE_Oracle.txt \
 OpenJDKChallenge.txt README.txt RELEASE-NOTES.txt TODO.txt

%build

ant jar-all javadoc

%install

# https://fedoraproject.org/wiki/Packaging:Java#Packages_providing_APIs
mkdir -p %{buildroot}%{_javadir}/javax.time
install -m 644 build/%{oname}-all-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{_javadir}/%{name}.jar %{buildroot}%{_javadir}/javax.time/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_javadir}/javax.time/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name} 
%doc COPYRIGHT-ASSIGN.txt LICENSE.txt LICENSE_OpenJDK.txt LICENSE_Oracle.txt
%doc OpenJDKChallenge.txt README.txt RELEASE-NOTES.txt TODO.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYRIGHT-ASSIGN.txt LICENSE.txt LICENSE_OpenJDK.txt LICENSE_Oracle.txt

%changelog
* Tue Nov 19 2013 Pete MacKinnon <pmackinn@redhat.com> 0.6.4-3
- add API symlink per review
- added version-release for bundled provides

* Mon Nov 18 2013 Pete MacKinnon <pmackinn@redhat.com> 0.6.4-2
- add fpc notes and virtual provide

* Thu Sep 19 2013 gil cattaneo <puntogil@libero.it> 0.6.4-1
- initial rpm